Bug 96386 - net/poptop broken
net/poptop broken
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: lawrance
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 00:30 UTC by stb
Modified: 2006-05-15 07:53 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2006-04-27 00:30:16 UTC
pptpctrl.c contains code that append command line parameters for ppp(8) that are invalid. There is no indication how to configure it so that connections can be accepted.

An empty /usr/local/etc/pptpd.conf leads to entries lik these in /var/log/ppp.log
Apr 27 00:58:46 asterix ppp[1137]: Warning: Label ipparam rejected -direct connection: Configuration label not found
Apr 27 00:59:46 asterix ppp[1155]: Warning: Label ipparam rejected -direct connection: Configuration label not found
Apr 27 01:00:15 asterix ppp[1199]: Warning: Label ipparam rejected -direct connection: Configuration label not found
Apr 27 01:00:46 asterix ppp[1210]: Warning: Label ipparam rejected -direct connection: Configuration label not found

Fix: 

Remove broken code in pptpctrl.c.

Sorry, no patch, I just wasten 2 hours of the wee hours to track this down.
How-To-Repeat: Install the port, try to establish PPTP connection to the server.
Comment 1 Mark Linimon freebsd_committer 2006-04-27 00:34:46 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Make this a ports PR.
Comment 2 pav freebsd_committer 2006-04-29 12:19:20 UTC
http://www.freebsd.org/cgi/query-pr.cgi?q=96386

Perhaps the maintainer have some ideas?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

A cow is a sphere that emits milk into all directions.
At least to a first approximation.
  -- An unknown physicist
Comment 3 pav freebsd_committer 2006-04-29 14:02:12 UTC
State Changed
From-To: open->feedback

Awaiting a patch
Comment 4 pav freebsd_committer 2006-05-06 18:00:18 UTC
Patch received from the submitter.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Autumn changed into Winter ... Winter changed into Spring ...  Spring
changed back into Autumn and Autumn gave Winter and Spring a miss and went
straight on into Summer
Comment 5 lawrance freebsd_committer 2006-05-13 13:24:20 UTC
State Changed
From-To: feedback->feedback

Could you please send the patch again?  Pav went away for 
the weekend and it's not in the PR. 


Comment 6 lawrance freebsd_committer 2006-05-13 13:24:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take.
Comment 7 lawrance freebsd_committer 2006-05-13 19:59:19 UTC
State Changed
From-To: feedback->open

Patch received.  FYI, if you make sure bug-followup@freebsd.org gets 
CC'ed in your mails, they will be tracked in the PR.
Comment 8 lawrance freebsd_committer 2006-05-15 07:53:43 UTC
State Changed
From-To: open->closed

Committed, thanks!